---
title: FileSystemHandle.isSameEntry()
slug: Web/API/FileSystemHandle/isSameEntry
tags:
  - Directory
  - File
  - File System Access API
  - FileSystemHandle
  - Method
---
<div>{{draft}}{{securecontext_header}}{{DefaultAPISidebar("File System Access API")}}</div>

<p class="summary">The <strong><code>isSameEntry()</code></strong> method of the {{domxref("FileSystemHandle")}} interface compares two {{domxref("FileSystemHandle", "handles")}} to see if the associated entries (either a file or directory) match.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>Boolean</var> = FileSystemHandle1.isSameEntry(FileSystemHandle2);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>{{domxref("FileSystemHandle")}}</dt>
 <dd>The <code>FileSystemHandle</code> to match against the handle on which the method is invoked.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Returns a {{jsxref('Boolean')}} which is <code>true</code> is the entries match.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>No exceptions are thrown.</p>

<h2 id="Examples">Examples</h2>

<p>The following function compares a single entry with an array of entries, and returns a new array with any matching entries removed.</p>

<pre class="brush: js notranslate">function removeMatches(fileEntry, entriesArr) {

  let newArr = entriesArr.filter( entry =&gt; !fileEntry.isSameEntry(entry) )

  return newArr;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('File System Access','#dom-filesystemhandle-issameentry','isSameEntry')}}</td>
   <td>{{Spec2('File System Access')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystemHandle.isSameEntry")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/docs/Web/API/File_System_Access_API">File System Access API</a></li>
 <li><a href="https://web.dev/file-system-access/">The File System Access API: simplifying access to local files</a></li>
</ul>
